using System;

internal sealed class Delegate599 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate599 delegate599_1)
	{
		delegate599_1(object_0);
	}

	public extern Delegate599(object object_0, IntPtr intptr_0);

	static Delegate599()
	{
		Class10.smethod_13(typeof(Delegate599).TypeHandle);
	}

	internal static Delegate599 delegate599_0;
}
